4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.StylesheetTree

Node classes for the stylesheet tree
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: XsltElement, XsltNode, XsltRoot, XsltText |  |  |  | Fields: EMPTY_NAMESPACE, XSL_NAMESPACE

## Classes

class XsltElement(XsltNode)
# implements default behaviour for extension elements

### Methods

__init__(self, root, namespaceUri, localName, baseUri)
__str__(self)
appendChild(self, child)
expandQName(self, qname, refNode=None)
insertChild(self, index, child)
instantiate(self, context, processor)
parseAVT(self, avt)
parseExpression(self, expression)
parsePattern(self, pattern)
processChildren(self, context, processor)
splitQName(self, qname)

### Methods inherited from class XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = 2
content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
Template is the set of text, instructions or result-elements
legalAttrs = None
validator = <Ft.Xml.Xslt.ContentInfo.Validator instance>

### Fields

class XsltNode

### Methods

idle(self, processor)
instantiate(self, context, processor)
isLastChild(self)
isPseudoNode(self)
pprint(self, _indent='')
prime(self, processor, context)
setup(self)

### Fields

attributes = None
baseUri = ''
children = None
columnNumber = '??'
doesIdle = False
doesPrime = False
doesSetup = False
expandedName = (None, None)
importIndex = -1
lineNumber = '??'
nodeName = None
parent = None
root = None

class XsltRoot(XsltNode)

### Methods

__init__(self, baseUri)
__str__(self)
appendChild(self, child)

### Methods inherited from class XsltNode

idle, instantiate, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Alt instance>
nodeName = u'#document'
validator = <Ft.Xml.Xslt.ContentInfo.Validator instance>

### Fields

class XsltText(XsltNode)

### Methods

__init__(self, root, baseUri, data)
__str__(self)
instantiate(self, context, processor)

### Methods inherited from class XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

nodeName = u'#text'

### Fields

EMPTY_NAMESPACE = None
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'